#include <bits/stdc++.h>
#include <string>
using namespace std;

string a,b,c,tacka=".";

int main(){

   cin >> a >> b;
   if(a.size()<b.size()){
      swap(a,b);
   }
   int g=a.size()-b.size();
   for(int i=1;i<=g;i++){
      b.insert(0,tacka);
   }

   for(int i=0;i<a.size();i++){
      if(a[i]==b[i]) cout << a[i] << b[i];
      else if(a[i]>b[i]) cout << a[i];
      else if(a[i]<b[i]) cout << b[i];
   }
   cout << endl;

return 0;
}